reverse: Reverse geocoding

API: gouv.fr:french-address-search
Endpoint: /reverse
Response format: application/json
Auth: unknown
Method: GET
Last Status: 400
Latency: 1362ms

Description

Provides addresses, points of interest, or cadastral parcels from geographic coordinates (latitude/longitude). Returns the closest matching entities to the specified location.

Parameters (10)

category (string, query, optional)

Filter for POI index only. Filter by POI category.

city (string, query, optional)

Filter for address and POI indexes. Filter results by city name.

citycode (string, query, optional)

Filter for address and POI indexes. Filter results by INSEE city code.

index (string, query, optional)

Search index(es) to query. Can be a single index or comma-separated list. Defaults to 'address'.

Constraints: {'enum': ['address', 'poi', 'parcel']}

lat (number, query, required)

Latitude of the point to reverse geocode (in EPSG:4326/WGS84)

limit (integer, query, optional, default: 10)

Maximum number of results to return. Default: 10

Constraints: {'minimum': 1, 'maximum': 20}

lon (number, query, required)

Longitude of the point to reverse geocode (in EPSG:4326/WGS84)

postcode (string, query, optional)

Filter for address and POI indexes. Filter results by postal code.

returntruegeometry (boolean, query, optional, default: False)

Return true geometry instead of center point. Default: false

type (string, query, optional)

Filter for address index only. Filter by address type: housenumber, street, locality, or municipality.

Constraints: {'enum': ['housenumber', 'street', 'locality', 'municipality']}

Examples (1)

Reverse geocoding openapi-spec
curl 'https://data.geopf.fr/geocodage/reverse?lon=2.35&lat=48.85&index=address&limit=5&type=housenumber&postcode=75001&citycode=75056&city=Paris&category=restaurant'
import requests

resp = requests.get(
    "https://data.geopf.fr/geocodage/reverse",
    params={
        'lon': '2.35',
        'lat': '48.85',
        'index': 'address',
        'limit': '5',
        'type': 'housenumber',
        'postcode': '75001',
        'citycode': '75056',
        'city': 'Paris',
        'category': 'restaurant',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gouv")
result = api.fetch("reverse", lon=2.35, lat=48.85, index="address", limit=5, type="housenumber", postcode=75001, citycode=75056, city="Paris", category="restaurant")

for item in result:
    print(item)
const resp = await fetch("https://data.geopf.fr/geocodage/reverse?lon=2.35&lat=48.85&index=address&limit=5&type=housenumber&postcode=75001&citycode=75056&city=Paris&category=restaurant");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:11:36.816646 400 1362ms
2026-04-15 02:03:41.067285 400 298ms
2026-04-14 01:20:03.600668 400 903ms
2026-04-12 13:48:51.862989 400 176ms
2026-04-10 03:03:48.681655 400 139ms
2026-04-09 01:42:12.328977 400 915ms